#include <iostream>

using namespace std;

const int size = 2000;

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0);
	
	int n, k;
	cin >> n >> k;
	
	int arr[size];
	
	for(int i = 0; i < n; ++i)
		cin >> arr[i];
	
	for(int i = 1; i <= n; ++i)
	{
	 	int aux[n+1] = { 0 };
	 	for(int j = 1; j <= n; ++j)
	 		aux[j] = j == i ? 1 : 0;
	 	for(int s = 0; s <= k; ++s)
	 	for(int j = n-1; j > 0; --j)
	 		aux[n] += (j-1)*aux[j-1]; 
	 		
		cout << i <<": " << aux[n] <<endl;
	}
	
	
}